import { NumericAxisBase } from "./NumericAxisBase";
import { NumericScaleMode } from "./NumericScaleMode";
import { DependencyProperty } from "igniteui-angular-core";
import { NumericScaler } from "./NumericScaler";
import { Type } from "igniteui-angular-core";
import { Axis } from "./Axis";
import { AxisView } from "./AxisView";
import { NumericAxisBaseView } from "./NumericAxisBaseView";
/**
 * @hidden
 */
export declare abstract class StraightNumericAxisBase extends NumericAxisBase {
    static $t: Type;
    constructor();
    bm(): AxisView;
    kb(a: AxisView): void;
    r9: StraightNumericAxisBaseView;
    jr(a: Axis): void;
    ju(a: Axis, b: string): void;
    r4: NumericScaleMode;
    static readonly sm: DependencyProperty;
    get r8(): NumericScaler;
    set r8(a: NumericScaler);
    private static si;
    protected r7(): NumericScaler;
    protected r6: NumericScaler;
    protected get_r5(): NumericScaler;
    protected set_r5(a: NumericScaler): void;
    get r5(): NumericScaler;
    set r5(a: NumericScaler);
    re(a: NumericAxisBase, b: number, c: number, d: boolean, e: number, f: number, g: number): {
        p5: number;
        p6: number;
    };
    private sj;
    private sa;
    protected sk(): void;
    sf(): void;
    protected kf(a: any, b: string, c: any, d: any): void;
    private sh;
    private sg;
    protected sb(a: number, b: StraightNumericAxisBase): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class StraightNumericAxisBaseView extends NumericAxisBaseView {
    static $t: Type;
    protected bm: StraightNumericAxisBase;
    constructor(a: StraightNumericAxisBase);
    bn(): void;
}
